Bug 13622 - min days before pw change does not work
min days before pw change does not work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-09 10:02 EDT by Thimo E
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-05 14:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thimo E 2000-07-09 10:02:13 EDT
hi,

the option "minimum days before password change is allowed" in the shadow
utils does not work. I have set the min days before pw change option to
"100" (with "chage -m 100") but he user is still allowed to change his
password with the passwd program. The tokens in the shadow password file
are correct, but were not considered.
Comment 1 Nalin Dahyabhai 2000-08-04 15:41:05 EDT
What do you get when you run "getent passwd <user>"?  Does the encrypted
password field contain an "x"?  Does it work correctly if you replace instances
of pam_pwdb.so in /etc/pam.d/passwd with pam_unix.so?
Comment 2 Thimo E 2000-08-05 14:14:24 EDT
The encrypted password field contains an "x" with getent passwd <user> !
With the module pam_unix.so instead of pam_pwdb.so it does work correctly:
(current) UNIX password: 
You must wait longer to change your password
passwd: Authentication token manipulation error

Comment 3 Nalin Dahyabhai 2000-08-07 06:26:37 EDT
The upcoming release uses pam_unix.so instead of pam_pwdb.so for everything by
default, and pwdb is itself being phased out, so I'll tag this as resolved in
Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.